#include "CLucene/StdHeader.h"
#ifndef _lucene_index_SegmentInfo_
#define _lucene_index_SegmentInfo_

#include "CLucene/store/Directory.h"

namespace lucene{ namespace index{
	class SegmentInfo {
	public:
		const char_t* name;				  // unique name in dir
		const int_t docCount;				  // number of docs in seg
		lucene::store::Directory& dir;				  // where segment resides

		SegmentInfo(const char_t* Name, const int_t DocCount, lucene::store::Directory& Dir):
			name ( stringDuplicate(Name) ),
			docCount(DocCount),
			dir(Dir)
		{
	    }
		~SegmentInfo(){
			delete[] name;
		}
	};
}}
#endif
