#include "CLucene/StdHeader.h"
#ifndef _lucene_index_SegmentMergeQueue_
#define _lucene_index_SegmentMergeQueue_

#include "CLucene/util/PriorityQueue.h"
#include "SegmentMergeInfo.h"

namespace lucene{ namespace index {
	class SegmentMergeQueue:public lucene::util::PriorityQueue<SegmentMergeInfo*> {
	public:
		SegmentMergeQueue(const int_t size);
		~SegmentMergeQueue();

		void close();
	protected:
		bool lessThan(SegmentMergeInfo* stiA, SegmentMergeInfo* stiB);

	};
}}
#endif
