#ifndef _lucene_util_StringBuffer_
#define _lucene_util_StringBuffer_

#include "CLucene/StdHeader.h"

namespace lucene{ namespace util {
	class StringBuffer{
	private:
		char_t* buffer;
		int_t bufferLength;

		void growBuffer(int minLength);
	public:
		int_t len;
		StringBuffer();
		StringBuffer(const char_t* value);
		StringBuffer(int_t initSize);
		~StringBuffer();

		void append(const char_t chr);
		void append( const char_t* value );
		void append(const char_t * value, int_t chars);
		void append( const int_t value );
		void append ( const double value, const int_t digits );

		void prepend( const char_t* value );

		int_t length();
		char_t* ToString();
		char_t* getBuffer();
		void clear();
	};
}}
#endif
