#include "CLucene/StdHeader.h"
#ifndef _lucene_index_SegmentInfos_
#define _lucene_index_SegmentInfos_

#include "CLucene/util/VoidList.h"
#include "CLucene/store/Directory.h"
#include "SegmentInfo.h"

namespace lucene{ namespace index {
  class SegmentInfos:public lucene::util::VoidList<SegmentInfo*> {
  public:

    SegmentInfos();
    /* DSR: Added the following constructor form to address mem mgmt bug in
    ** IndexWriter::addIndexes: */
    SegmentInfos(bool deleteMembers);
    ~SegmentInfos();

    int_t counter;			  // used to name new segments

    SegmentInfo& info(int_t i);

    void read(Directory& directory);

#ifndef CLUCENE_LITE
    void write(Directory& directory);
#endif
  };
}}
#endif
