#ifndef _lucene_index_TermInfo
#define _lucene_index_TermInfo
#include "CLucene/StdHeader.h"

namespace lucene{ namespace index {

	// A TermInfo is the record of information stored for a term.
	class TermInfo {
	public:
		// The number of documents which contain the term. 
		long_t freqPointer;
		long_t proxPointer;
		int_t docFreq;

		TermInfo();
		~TermInfo();

		TermInfo(const int_t df, const long_t fp, const long_t pp);

		TermInfo(const TermInfo& ti);

		void set(const int_t df, const long_t fp, const long_t pp);

		void set(const TermInfo& ti);
	};
}}
#endif
